Bug 1257941 - task is left in running state after rhts-reboot
task is left in running state after rhts-reboot
Status: NEW
Product: Beaker
Classification: Community
Component: beah (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
Misc
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-28 08:33 EDT by Jan Stancek
Modified: 2015-08-31 03:01 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 908354
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Stancek 2015-08-28 08:33:11 EDT
+++ This bug was initially created as a clone of Bug #908354 +++

Description of problem:
Task is left in running state after rhts-reboot and following message appears on console:

2015-08-27 21:29:39,137 backend _run_task: ERROR Exception raised when running t 
ask. Setting to finished 
Traceback (most recent call last): 
  File "/usr/lib/python2.7/site-packages/beah/backends/beakerlc.py", line 595, i 
n _run_task 
    thingy.getResult() 
  File "/usr/lib64/python2.7/site-packages/twisted/internet/defer.py", line 870, 
 in getResult 
    self.result.raiseException() 
  File "/usr/lib64/python2.7/site-packages/twisted/python/failure.py", line 370, 
 in raiseException 
    raise self.type, self.value, self.tb 

The problem from Bug #908354 returned. Beah is running /kernel/RHEL6/drivers/3rd-party, which runs rhts-reboot, and after reboot task is skipped and left in running state.

Following message can be seen before reboot takes place:
2015-08-27 20:59:42,953 beah task_finished: INFO Task f32541d0-dbce-488d-9673-23 
4a29b54ef4 has finished. Marking it as done.
Comment 4 Dan Callaghan 2015-08-30 19:28:10 EDT
Jan, have you seen this problem anywhere else besides S/390 guests?
Comment 5 Jan Stancek 2015-08-31 03:01:29 EDT
(In reply to Dan Callaghan from comment #4)
> Jan, have you seen this problem anywhere else besides S/390 guests?

No, as I recall it was always s390 so far.

Note You need to log in before you can comment on or make changes to this bug.